# eric6.UI.NotificationWidget

Module implementing a Notification widget.

### Global Attributes

None

### Classes

NotificationWidget | Class implementing a Notification widget.

### Functions

None

## NotificationWidget

Class implementing a Notification widget.

### Derived from

QWidget, Ui_NotificationWidget

### Class Attributes

None

### Class Methods

None

### Methods

NotificationWidget | Constructor
mouseMoveEvent | Protected method to handle dragging the window.
mousePressEvent | Protected method to handle presses of a mouse button.
mouseReleaseEvent | Protected method to handle releases of a mouse button.
setHeading | Public method to set the heading for the notification.
setPixmap | Public method to set the icon for the notification.
setText | Public method to set the text for the notification.
setTimeout | Public method to set the timeout for the notification.
show | Public method to show the notification.

### Static Methods

None

#### NotificationWidget (Constructor)

NotificationWidget(parent=None, setPosition=False)

Constructor

parent
  reference to the parent widget (QWidget)
setPosition
  flag indicating to set the display position interactively (boolean)

#### NotificationWidget.mouseMoveEvent

mouseMoveEvent(evt)

Protected method to handle dragging the window.

evt
  reference to the mouse event (QMouseEvent)

#### NotificationWidget.mousePressEvent

mousePressEvent(evt)

Protected method to handle presses of a mouse button.

evt
  reference to the mouse event (QMouseEvent)

#### NotificationWidget.mouseReleaseEvent

mouseReleaseEvent(evt)

Protected method to handle releases of a mouse button.

evt
  reference to the mouse event (QMouseEvent)

#### NotificationWidget.setHeading

setHeading(heading)

Public method to set the heading for the notification.

heading
  heading to be used (string)

#### NotificationWidget.setPixmap

setPixmap(icon)

Public method to set the icon for the notification.

icon
  icon to be used (QPixmap)

#### NotificationWidget.setText

setText(text)

Public method to set the text for the notification.

text
  text to be used (string)

#### NotificationWidget.setTimeout

setTimeout(timeout)

Public method to set the timeout for the notification.

timeout (int)
  timeout to be used in seconds (0 = indefinitely)

#### NotificationWidget.show

show()

Public method to show the notification.

Up